extends RoomState


var _prev_state: String


func _enter(previous_state_path: String, _data: Dictionary = {}) -> void:
	print("entering room pause")
	_prev_state = previous_state_path
	get_tree().paused = true
	print("room paused")


func _handle_input(event: InputEvent) -> void:
	if event.is_action_pressed("pause"):
		finished.emit(_prev_state)
		return
